Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl
Class CleanSessionProtocolStateListener

    java.lang.Object
      be.fedict.eid.applet.service.impl.CleanSessionProtocolStateListener

All Implemented Interfaces:
  be.fedict.eid.applet.shared.protocol.ProtocolStateListener

    public class CleanSessionProtocolStateListener

extends Object
implements be.fedict.eid.applet.shared.protocol.ProtocolStateListener

Protocol state listener that manages the cleanup of session attributes.

Removes old identity data from the session. In case something goes wrong with the new identity processing we don't want to end up with a web application that thinks that the citizen performed a successful identification.

Author:
  Frank Cornelis

Constructor Summary
`CleanSessionProtocolStateListener(HttpServletRequest request)` Main constructor.

Method Summary
`void` | `protocolStateTransition(be.fedict.eid.applet.shared.protocol.ProtocolState newProtocolState)`
`void` | `startProtocolRun()`
`void` | `stopProtocolRun()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CleanSessionProtocolStateListener

    public CleanSessionProtocolStateListener(HttpServletRequest request)

  Main constructor.

  Parameters:
    `request` -

Method Detail

### protocolStateTransition

    public void protocolStateTransition(be.fedict.eid.applet.shared.protocol.ProtocolState newProtocolState)

  Specified by:
    `protocolStateTransition` in interface `be.fedict.eid.applet.shared.protocol.ProtocolStateListener`

### startProtocolRun

    public void startProtocolRun()

  Specified by:
    `startProtocolRun` in interface `be.fedict.eid.applet.shared.protocol.ProtocolStateListener`

### stopProtocolRun

    public void stopProtocolRun()

  Specified by:
    `stopProtocolRun` in interface `be.fedict.eid.applet.shared.protocol.ProtocolStateListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.